Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.common
Class JBossESBPropertyService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.soa.esb.common.JBossESBPropertyService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, JBossESBPropertyServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public class JBossESBPropertyService

extends org.jboss.system.ServiceMBeanSupport
implements JBossESBPropertyServiceMBean

This MBean wraps the configuration to allow ServiceBindingManager to alter the configuration.

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JBossESBPropertyService()`

Method Summary
`protected void` | `createService()` Create the property service.
`java.lang.String` | `getPropertyFile()` Get the property file.
`void` | `setPropertyFile(java.lang.String propertyFile)` Set the property file.

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### JBossESBPropertyService

    public JBossESBPropertyService()

Method Detail

### getPropertyFile

    public java.lang.String getPropertyFile()

  Get the property file.

  Specified by:
    `getPropertyFile` in interface `JBossESBPropertyServiceMBean`
  Returns:
    The name of the property file being used.

### setPropertyFile

    public void setPropertyFile(java.lang.String propertyFile)

  Set the property file.

  Specified by:
    `setPropertyFile` in interface `JBossESBPropertyServiceMBean`
  Parameters:
    `propertyFile` - The name of the property file being used.

### createService

    protected void createService()
                          throws java.lang.Exception

  Create the property service.

  Overrides:
    `createService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD